Søg i Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

Firefox for Mac/OS 10.11.6 (Mac/OS X El Capitan

  • 1 svar
  • 3 har dette problem
  • 2194 visninger
  • Seneste svar af FredMcD

more options

For unfortunate reasons too tedious and mundane to discuss here, I am stuck with Mac/OS 10.11.6. I am looking for a version of Firefox that will run under that version of Mac/OS. I did the basic research and was directed Firefox version 78. After that, I was directed to the Extended Support Release. When I downloaded and ran that, I was directed to the Apple App Store where no version of Firefox could be found. Where to next?

Can someone offer me a link to a version of Firefox that I can download and run on Mac/OS 10.11.6? Please.

Valgt løsning

Install Older Version Of Firefox {web link} Be sure to read everything here.

Warning: Installing a previous version doesn't fix most problems

Problems with an update are generally not caused by the new version of Firefox, but rather the update process. Installing a previous version will not help in most cases. The best option is to start a new thread about your issues, where others can suggest specific solutions.

Using old versions of Firefox also poses a significant security risk.

If you still want to downgrade, look under; I still want to downgrade. Click the Directory of other versions and languages link. Look for the directory of the version that you want. But, remember that old versions may have security issues.

Note: Press <Control> (Mac=<Command>) F to open the search bar. Then enter 76 to see the available files.

You should also check out ESR Firefox; Extended Support Release {web link} ESR Notes System Requirements

Læs dette svar i sammenhæng 👍 0

Alle svar (2)

more options

Hey there!

All versions of Firefox that you can still install can be reached https://ftp.mozilla.org/pub/firefox/releases/ ! Then you can select the Firefox version you want to install.

Warning: Installing a previous version doesn't fix most problems

Problems with an update are generally not caused by the new version of Firefox, but rather the update process. Installing a previous version will not help in most cases. The best option is to start a new thread about your issues, where others can suggest specific solutions.

Using old versions of Firefox also poses a significant security risk.


<-- If you need more information on how to rollback you can do so here: https://www.wikihow.com/Downgrade-Firefox -->

Hope I helped!

Bithiah Koshy

Ændret af Chris Ilias den

Nyttig?

more options

Valgt løsning

Install Older Version Of Firefox {web link} Be sure to read everything here.

Warning: Installing a previous version doesn't fix most problems

Problems with an update are generally not caused by the new version of Firefox, but rather the update process. Installing a previous version will not help in most cases. The best option is to start a new thread about your issues, where others can suggest specific solutions.

Using old versions of Firefox also poses a significant security risk.

If you still want to downgrade, look under; I still want to downgrade. Click the Directory of other versions and languages link. Look for the directory of the version that you want. But, remember that old versions may have security issues.

Note: Press <Control> (Mac=<Command>) F to open the search bar. Then enter 76 to see the available files.

You should also check out ESR Firefox; Extended Support Release {web link} ESR Notes System Requirements

Ændret af Chris Ilias den

Nyttig?

Stil et spørgsmål

Du skal logge ind på din konto for at svare på et indlæg. Start et nyt spørgsmål, hvis du ikke har en konto endnu.